/**
 * Trida s pomocnymi statickymi metodamy, ktere se jinam nevesly
 *
 * FILE: Tools.java
 * @author Martin Sloup (A04372), 13. krouzek, FAV - Informatika
 * @version 1.0, 12/04/04
 */
// naimportujeme potrebne balicky
import java.io.*;
import java.util.Random; // pro tridu Random

public class Tools {
	/**
	 * Metoda na generovani pole s naplnenymi nahodnymi hodnotamy v rozsahu int.
	 */
	public static int[] RandomArray(int items) {
		// inicializace pole s poctem prvku [items]
		int[] arr = new int[items];
		// inicializace objectu Random (pro nas komplexnejsi nez Math.random())
		Random rnd = new Random();
		
		// pro jedeme pro kazdy prvek pole
		for (int i =0;i<arr.length;i++) {
			/* do kazdeho prvku pole vygenerujeme nahodnou hodnotu v rozsahu
			 * INTEGERu. Proto je trida Random komplexnejsi, protoze nemusime
			 * nasobit Math.random() konstantou urcujici rozsah INTEGERu
			 */
			arr[i] = rnd.nextInt();
		}
		// snazime se psat neprasacky, proto zrusime objekt
		rnd = null;
		return arr;
	}
	/**
	 * Metoda na vypsani hlavicky: autor, ID studenta, krouzek, e-mail.
	 */
	public static void hlavickaProgramu() {
		System.out.println("********************************************************");
		System.out.println(" Semestralni prace z predmetu Pocitace a programovani 1 ");
		System.out.println(" Autor: Martin Sloup (A04372), 13. krouzek,             ");
		System.out.println("        msloup@students.zu.cz                           ");
		System.out.println("********************************************************");	
		System.out.println();
	}
}